Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### binary()

Examples

    color c = color(255, 204, 0);
    println(c);             // Prints -13312
    println(binary(c));     // Prints 11111111111111111100110000000000
    println(binary(c, 16)); // Prints 1100110000000000

Description | Converts a byte, char, int, or color to a String containing the equivalent binary notation. For example color(0, 102, 153, 255) will convert to the String "11111111000000000110011010011001". This function can help make your geeky debugging sessions much happier.

Syntax

    binary(value)
    binary(value, digits)

Parameters

value | byte, char, int, color: value to convert
digits | int: number of digits to return

Returns | String
Usage | Web & Application
Related | unhex() hex() unbinary()

Updated on November 22, 2008 08:39:25pm PST